boost::geometry::cs_tag< Geometry > Struct Template Reference
core: meta-functions for geometry types

Meta-function returning coordinate system tag (cs family) of any geometry. More...

List of all members.

## Public Types

typedef traits::cs_tag < typename geometry::coordinate_system < Geometry >::type >::type | type

## Detailed Description

### template<typename Geometry>
struct boost::geometry::cs_tag< Geometry >

Meta-function returning coordinate system tag (cs family) of any geometry.

Template Parameters:

  Geometry | Any type fulfilling a Geometry Concept

## Member Typedef Documentation

template<typename Geometry >

typedef traits::cs_tag< typename geometry::coordinate_system<Geometry>::type >::type boost::geometry::cs_tag< Geometry >::type

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK